Debian Bug report logs - #458495
Direct support for unit tests in Cabal.

Package: ghc; Maintainer for ghc is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for ghc is src:ghc.

Reported by: Daniel Burrows <dburrows@debian.org>

Date: Tue, 1 Jan 2008 02:54:01 UTC

Severity: wishlist

Tags: fixed-upstream, patch

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://hackage.haskell.org/trac/ghc/ticket/2608

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ian Lynagh (wibble) <igloo@debian.org>:
Bug#458495; Package ghc6. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
New Bug report received and forwarded. Copy sent to Ian Lynagh (wibble) <igloo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Direct support for unit tests in Cabal.
Date: Mon, 31 Dec 2007 18:50:19 -0800
[Message part 1 (text/plain, inline)]
Package: ghc6
Version: 6.6.1-2
Severity: wishlist
Tags: patch

  Hi,

  It would be nice if there was a simple way to build and run tests for
Cabalized packages.

  Cabal provides a "test" target, but by default it does nothing.
Furthermore, you can't really build test cases using the Cabal
infrastructure, since any executables that you list get installed.
Searching on Google for how to integrate a test suite into Cabal turns
up suggestions such as "make a system() call from runTests to 

  The attached patch adds two new flags to the build information for
executables and libraries:

  * do-not-install: if set to True, keeps an executable that it's set on
    from being installed.  This is necessary to keep test suites from
    ending up in $prefix/bin, but may be useful for other build-time
    utilities.

  * is-test: if set to True on an executable, the executable will be
    invoked by the "test" target of the setup script.  Note that this
    doesn't attempt to be at all smart about building the executable(s);
    it just blindly invokes the test command(s) and returns a failure if
    any of them fail.

  The patch should be fairly straightforward.  The need to do suppression
of installing executables in compiler-specific code is a bit ugly;
this could maybe be cleaned up with an equivalent to withExe that drops
non-installed executables and by writing and using a similar routine for
libraries.

  This also changes the API of Cabal: runTests now takes an integer as
its first argument, indicating the verbosity level provided as an
argument on the command-line.  The Boolean that was passed before
didn't have any purpose I could see and was always False, so it
shouldn't be hard to adapt existing code to this change.  On the other
hand, the API can be preserved by just hard-coding a verbosity level.

  Daniel

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-3-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ghc6 depends on:
ii  gcc                       4:4.2.2-1      The GNU C compiler
ii  haskell-utils             1.9            Utilities used by the Debian Haske
ii  libc6                     2.7-5          GNU C Library: Shared libraries
ii  libgmp3-dev               2:4.2.2+dfsg-1 Multiprecision arithmetic library 
ii  libgmp3c2                 2:4.2.2+dfsg-1 Multiprecision arithmetic library
ii  libncurses5               5.6+20071215-1 Shared libraries for terminal hand
ii  libreadline5              5.2-3          GNU readline and history libraries
ii  libreadline5-dev          5.2-3          GNU readline and history libraries
ii  perl [perl5]              5.8.8-12       Larry Wall's Practical Extraction 

ghc6 recommends no packages.

-- no debconf information
[cabal-test-support.patch (text/x-diff, attachment)]

Noted your statement that Bug has been forwarded to http://hackage.haskell.org/trac/ghc/ticket/2608. Request was from Kari Pahula <kaol@debian.org> to control@bugs.debian.org. (Thu, 18 Sep 2008 10:54:15 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 27 Aug 2009 09:45:57 GMT) Full text and rfc822 format available.

Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Sun, 27 Mar 2011 09:27:08 GMT) Full text and rfc822 format available.

Notification sent to Daniel Burrows <dburrows@debian.org>:
Bug acknowledged by developer. (Sun, 27 Mar 2011 09:27:09 GMT) Full text and rfc822 format available.

Message #14 received at 458495-done@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 458495-done@bugs.debian.org
Subject: cabal tests exists now
Date: Sun, 27 Mar 2011 14:55:08 +0530
[Message part 1 (text/plain, inline)]
Version: 7.0.2-1

Hi,

since cabal 1.10, a standardized test target is supported. Closing this
bug.

Greetings,
Joachim


-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'ghc6' to 'ghc'. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Thu, 02 Jun 2011 13:30:28 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions ghc6/6.6.1-2. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Thu, 02 Jun 2011 13:30:29 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions 7.0.2-1. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Thu, 02 Jun 2011 13:30:29 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 01 Jul 2011 07:35:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:41:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.